<?php

namespace app\admin\model\user;

use think\Model;


class Apply extends Model
{

    

    

    // 表名
    protected $name = 'user_apply';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'education_text',
        'user_type_text'
    ];
    

    
    public function getEducationList()
    {
        return ['0' => __('Education 0'), '1' => __('Education 1'), '2' => __('Education 2'), '3' => __('Education 3'), '4' => __('Education 4'), '5' => __('Education 5'), '6' => __('Education 6'), '7' => __('Education 7'), '8' => __('Education 8'), '9' => __('Education 9')];
    }

    public function getUserTypeList()
    {
        return ['0' => __('User_type 0'), '1' => __('User_type 1'), '2' => __('User_type 2')];
    }


    public function getEducationTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['education']) ? $data['education'] : '');
        $list = $this->getEducationList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getUserTypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['user_type']) ? $data['user_type'] : '');
        $list = $this->getUserTypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }




}
